org.apache.poi.xssf.usermodel.helpers

## Class XSSFIgnoredErrorHelper

- java.lang.Object
- - org.apache.poi.xssf.usermodel.helpers.XSSFIgnoredErrorHelper

-     public class XSSFIgnoredErrorHelper
      extends java.lang.Object

  XSSF-specific code for working with ignored errors

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFIgnoredErrorHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addIgnoredErrors(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError err, java.lang.String ref, IgnoredErrorType... ignoredErrorTypes)`
    `static java.util.Set<IgnoredErrorType>` | `getErrorTypes(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError err)`
    `static boolean` | `isSet(IgnoredErrorType errorType, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError error)`
    `static void` | `set(IgnoredErrorType errorType, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFIgnoredErrorHelper

          public XSSFIgnoredErrorHelper()

  - ### Method Detail

    - #### isSet

          public static boolean isSet(IgnoredErrorType errorType,
                                      org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError error)

    - #### set

          public static void set(IgnoredErrorType errorType,
                                 org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError error)

    - #### addIgnoredErrors

          public static void addIgnoredErrors(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError err,
                                              java.lang.String ref,
                                              IgnoredErrorType... ignoredErrorTypes)

    - #### getErrorTypes

          public static java.util.Set<IgnoredErrorType> getErrorTypes(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError err)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.